Check whether a customer has a valid payment method set up in Stripe
cURL
curl --request GET \ --url https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/paymentStatus \ --header 'Authorization: <authorization>'
{ "data": { "hasPaymentMethod": true, "stripeCustomerId": "<string>" }, "timestamp": 123, "message": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.auctionnow.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
Use this file to discover all available pages before exploring further.
Your Auction Now API key as a Bearer token
"Bearer ak_XXXXXXX"
The unique ID of the customer
Payment status for the customer
Show child attributes